﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="_Default" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
	<title></title>
	<style type="text/css">
		.filed
		{
			margin: 10px;
		}
	</style>
</head>
<body>
	<form id="form1" runat="server">
	<telerik:RadScriptManager ID="RadScriptManager1" runat="server">
	</telerik:RadScriptManager>
	<div>
		<telerik:RadGrid ID="RadGrid1" runat="server" DataSourceID="SqlDataSource1" AllowAutomaticDeletes="true"
			OnUpdateCommand="RadGrid1_UpdateCommand" OnInsertCommand="RadGrid1_InsertCommand" AllowAutomaticInserts="True" AllowAutomaticUpdates="True"
			AutoGenerateColumns="false">
			<MasterTableView CommandItemDisplay="TopAndBottom" DataSourceID="SqlDataSource1"
				DataKeyNames="ID" EditMode="EditForms">
				<RowIndicatorColumn>
					<HeaderStyle Width="20px"></HeaderStyle>
				</RowIndicatorColumn>
				<ExpandCollapseColumn>
					<HeaderStyle Width="20px"></HeaderStyle>
				</ExpandCollapseColumn>
				<Columns>
					<telerik:GridEditCommandColumn>
					</telerik:GridEditCommandColumn>
					<telerik:GridBoundColumn DataField="ID" DataType="System.Int32" HeaderText="ID" ReadOnly="True"
						SortExpression="ID" UniqueName="ID">
					</telerik:GridBoundColumn>
					<telerik:GridBoundColumn DataField="FirstName" HeaderText="FirstName" SortExpression="FirstName"
						UniqueName="FirstName">
					</telerik:GridBoundColumn>
					<telerik:GridBoundColumn DataField="Lastname" HeaderText="Lastname" SortExpression="Lastname"
						UniqueName="Lastname">
					</telerik:GridBoundColumn>
					<telerik:GridTemplateColumn UniqueName="FavoriteColor" SortExpression="FavoriteColor"
						InitializeTemplatesFirst="false">
						<FooterTemplate>
							RadColorPicker column footer</FooterTemplate>
						<FooterStyle VerticalAlign="Middle" HorizontalAlign="Center" />
						<HeaderTemplate>
							<table id="Table1" cellspacing="0" style="width: 240px;" class="myTable">
								<tr>
									<td colspan="2" align="center">
										<b>Contact details</b>
									</td>
								</tr>
							</table>
						</HeaderTemplate>
						<ItemTemplate>
							<telerik:RadColorPicker ID="RadColorPickerShow" runat="server" SelectedColor='<%# System.Drawing.ColorTranslator.FromHtml(DataBinder.Eval(Container.DataItem, "FavoriteColor", "{0}")) %>'
								ShowIcon="true" Preset="Standard" Enabled="false" />
						</ItemTemplate>
						<ItemStyle HorizontalAlign="Center" />
					</telerik:GridTemplateColumn>
				</Columns>
				<EditFormSettings InsertCaption="Add new item" CaptionFormatString="Edit ID: {0}"
					CaptionDataField="ID" EditFormType="Template">
					<FormTemplate>
						<div>
							<div style="float: left;">
								<asp:TextBox ID="TextBox11" Text='<%# Bind( "FirstName") %>' runat="server" CssClass="filed">
								</asp:TextBox>
								<asp:TextBox ID="TextBox1" Text='<%# Bind( "LastName") %>' runat="server" CssClass="filed">
								</asp:TextBox>
							</div>
							<telerik:RadColorPicker ID="RadColorPickerEdit" runat="server" SelectedColor='<%# System.Drawing.ColorTranslator.FromHtml(DataBinder.Eval(Container.DataItem, "FavoriteColor", "{0}")) %>'
								ShowIcon="true" PreviewColor="true" Style="float: left;" CssClass="filed" />
						</div>
						<div style="clear: both;">
							<asp:Button ID="Button1" Text='<%# (Container is GridEditFormInsertItem) ? "Insert" : "Update" %>'
								runat="server" CommandName='<%# (Container is GridEditFormInsertItem) ? "PerformInsert" : "Update" %>'>
							</asp:Button>&nbsp;
							<asp:Button ID="Button2" Text="Cancel" runat="server" CausesValidation="False" CommandName="Cancel">
							</asp:Button>
						</div>
					</FormTemplate>
				</EditFormSettings>
			</MasterTableView>
		</telerik:RadGrid>
	</div>
	<asp:SqlDataSource ID="SqlDataSource1" runat="server" ConnectionString="<%$ ConnectionStrings:GridColorPickerDBConnectionString %>"
		SelectCommand="SELECT [ID], [FirstName], [Lastname], [FavoriteColor] FROM [People]"
		UpdateCommand="UPDATE [People] SET [FirstName] = @FirstName, [Lastname]= @Lastname, [FavoriteColor] = @FavoriteColor WHERE ID = @ID"
		InsertCommand="INSERT INTO [People] (FirstName, Lastname, FavoriteColor) VALUES(@FirstName, @Lastname, @FavoriteColor)"
		OnUpdating="SqlDataSource1_Updating" OnInserting="SqlDataSource1_Inserting">
		<UpdateParameters>
			<asp:Parameter Name="ID" DbType="Int32" />
			<asp:Parameter Name="FirstName" DbType="String" />
			<asp:Parameter Name="Lastname" DbType="String" />
		</UpdateParameters>
	</asp:SqlDataSource>
	</form>
</body>
</html>
